Coin Historical Chart Data by ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/coins/{id}/market_chart \
--header 'x-cg-pro-api-key: <api-key>'{
"prices": [
[
1779027899041,
77953.82550382407
],
[
1779028199661,
78052.87543398788
]
],
"market_caps": [
[
1779027899041,
1560631481361.8042
],
[
1779028199661,
1562027330524.267
]
],
"total_volumes": [
[
1779027899041,
18688431751.857048
],
[
1779028199661,
18974828816.446976
]
]
}Coin Historical Chart Data by ID
To get the historical chart data of a coin including time in UNIX, price, market cap and 24hrs volume based on particular coin ID
GET
/
coins
/
{id}
/
market_chart
Coin Historical Chart Data by ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/coins/{id}/market_chart \
--header 'x-cg-pro-api-key: <api-key>'{
"prices": [
[
1779027899041,
77953.82550382407
],
[
1779028199661,
78052.87543398788
]
],
"market_caps": [
[
1779027899041,
1560631481361.8042
],
[
1779028199661,
1562027330524.267
]
],
"total_volumes": [
[
1779027899041,
18688431751.857048
],
[
1779028199661,
18974828816.446976
]
]
}Notes
- Find a coinβs API ID on its CoinGecko page, via Coins List, or this Google Sheet.
-
Auto-granularity when
intervalis not specified:Date range Granularity 1 day from current time 5-minutely 2β90 days hourly Above 90 days daily (00:00 UTC) -
Override with the
intervalparameter:intervalLookback dailyβ hourlyPast 100 days 5mPast 10 days (Enterprise only) 1mPast 1 day (Enterprise only, Beta) -
Data availability:
1mfrom 1 Jun 2026,5mfrom 9 Feb 2018,hourlyfrom 30 Jan 2018.
The last completed UTC day (00:00) data is available 10 minutes after midnight (00:10 UTC).
Historical data on the Basic plan is restricted to the past 2 years. Subscribe to Analyst plan & above for the full range.
SDK Examples
const response = await client.coins.marketChart.get('bitcoin', {
vs_currency: 'usd',
days: '1',
});
console.log(JSON.stringify(response, null, 2));
response = client.coins.market_chart.get(
"bitcoin",
vs_currency="usd",
days="1",
)
print(response.model_dump_json(indent=2))
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Path Parameters
Coin ID.
*refers to /coins/list.
Query Parameters
Target currency of market data.
*refers to /simple/supported_vs_currencies.
Data up to number of days ago.
You may use any integer or max for number of days.
Data interval, leave empty for auto granularity.
Available options:
1m, 5m, hourly, daily Decimal place for currency price value.
Available options:
full, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18 Response
200 - application/json
Coin historical chart data
Was this page helpful?

